Show / Hide Table of Contents

# Class OpenIddictEntityFrameworkExtensions

Exposes extensions allowing to register the OpenIddict Entity Framework 6.x services.

##### Inheritance

System.Object
OpenIddictEntityFrameworkExtensions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Microsoft.Extensions.DependencyInjection

###### Assembly: cs.temp.dll.dll

##### Syntax

    public static class OpenIddictEntityFrameworkExtensions

### Methods

#### UseEntityFramework(OpenIddictCoreBuilder)

Registers the Entity Framework 6.x stores services in the DI container and configures OpenIddict to use the Entity Framework 6.x entities by default.

##### Declaration

    public static OpenIddictEntityFrameworkBuilder UseEntityFramework(this OpenIddictCoreBuilder builder)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictCoreBuilder | builder | The services builder used by OpenIddict to register new services.

##### Returns

Type | Description
--- | ---
OpenIddictEntityFrameworkBuilder | The OpenIddictEntityFrameworkBuilder.

##### Remarks

This extension can be safely called multiple times.

#### UseEntityFramework(OpenIddictCoreBuilder, Action<OpenIddictEntityFrameworkBuilder>)

Registers the Entity Framework 6.x stores services in the DI container and configures OpenIddict to use the Entity Framework 6.x entities by default.

##### Declaration

    public static OpenIddictCoreBuilder UseEntityFramework(this OpenIddictCoreBuilder builder, Action<OpenIddictEntityFrameworkBuilder> configuration)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictCoreBuilder | builder | The services builder used by OpenIddict to register new services.
System.Action<OpenIddictEntityFrameworkBuilder> | configuration | The configuration delegate used to configure the Entity Framework 6.x services.

##### Returns

Type | Description
--- | ---
OpenIddictCoreBuilder | The OpenIddictCoreBuilder.

##### Remarks

This extension can be safely called multiple times.